# Uses of Interface
com.sun.source.tree.UnionTypeTree

Packages that use UnionTypeTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of UnionTypeTree in com.sun.source.tree

  Methods in com.sun.source.tree with parameters of type UnionTypeTree
  Modifier and Type
  Method
  Description
  `R`
  TreeVisitor.`visitUnionType(UnionTypeTree node, P p)`
  Visits a `UnionTypeTree` node.

- ## Uses of UnionTypeTree in com.sun.source.util

  Methods in com.sun.source.util with parameters of type UnionTypeTree
  Modifier and Type
  Method
  Description
  `R`
  SimpleTreeVisitor.`visitUnionType(UnionTypeTree node, P p)`
  Visits a `UnionTypeTree` node.
  `R`
  TreeScanner.`visitUnionType(UnionTypeTree node, P p)`
  Visits a `UnionTypeTree` node.